---
search:
  tags:
    - Orders
    - DELETE
seo:
  description: >-
    Removes an order line from an… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/orders/{order_id}/lines/{line_id} endpoint in
    the Management API.
sidebar:
  label: Delete order line
  badge: DELETE
title: Delete order line
type: openapi-operation
---
Removes an order line from an existing order. Creates an order history entry and publishes an order updated event.

`DELETE /api/v1/{team_slug}/{app_slug}/orders/{order_id}/lines/{line_id}`

**Responses**

- `200` — Order line deleted successfully
- `400` — Invalid request (line doesn't belong to order)
- `401` — Unauthorized access
- `404` — Order or order line not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "message": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
